# What is this repository?

This repository is used for storing the code of examples.

# How to run these code on my computer?

Make sure you have **gcc/g++ 4.6.4** and **Boost 1.58.0** installed.  
Download the code and compile it (I use **ConnectedComponents** as an example, the others are similiar).  
```
g++ ConnectedComponents.cpp -o ConnectedComponents -Wall
```
Then, run it.  
```
./ConnectedComponents
```

# Read more

[Connected Components](http://www.boost.org/doc/libs/1_46_0/libs/graph/doc/connected_components.html)  
[Strongly Connected Components](http://www.boost.org/doc/libs/1_46_0/libs/graph/doc/strong_components.html)  
[Biconnected Components](http://www.boost.org/doc/libs/1_46_0/libs/graph/doc/biconnected_components.html)  
[Articulation Points](http://www.boost.org/doc/libs/1_46_0/libs/graph/doc/biconnected_components.html#sec:articulation_points)  
[Bridges](https://en.wikipedia.org/wiki/Bridge_(graph_theory))  

# Figures of examples
**Connected components**:  
<img src="/images/examples/cc.png" width="335" height="335" />  
**Strongly connected components**:  
<img src="/images/examples/scc.png" width="442" height="359" />  
**Biconnected components**:  
<img src="/images/examples/bcc.png" width="232" height="356" />  
**Articulation Points**:  
<img src="/images/examples/ap.png" width="232" height="356" />  
**Bridges**:  
<img src="/images/examples/bri.png" width="226" height="303" />  

# Figures of pgRouting Sample Data
**Connected components**:  
![](images/pgrSample/cc.png)  
**Strongly connected components**:  
![](images/pgrSample/scc.png)  
**Biconnected components**:  
![](images/pgrSample/bcc.png)  
**Articulation Points**:
![](images/pgrSample/ap.png)
**Bridges**:
![](images/pgrSample/bri.png)

